<script setup lang="ts">
import { inject, ref, type Ref } from 'vue';
import AvatarApp from './AvatarApp.vue';
import { useAuthStore } from '@/stores/auth';

const rail =inject<Ref<boolean>>('rail')
const authStore = useAuthStore()
const currentDate = ref()
const currentTime = ref()

function dateTime(){
    const now = new Date();
    currentDate.value = now.getFullYear() + '-' + ('0' + (now.getMonth() + 1)).slice(-2) + '-' + ('0' + now.getDate()).slice(-2);
    currentTime.value = now.toLocaleTimeString();
}
setInterval(dateTime,0)

</script>

<template>
    <v-app-bar
        style="background-color: #604C46;"
      >

        <template v-slot:prepend>
          <v-app-bar-nav-icon 
          @click.stop="rail = !rail"></v-app-bar-nav-icon>
        </template>
        
        <v-app-bar-title style="text-align: center;font-weight: bold;">D-COFFEE</v-app-bar-title>

        <v-spacer></v-spacer>
        <p style="padding-right: 20px;font-size:18px ;">Date: {{ currentDate }} Time: {{ currentTime }}  </p>
        <v-divider :thickness="2" class="border-opacity-100" vertical></v-divider>
        <div class="pa-2" v-if="authStore.currentUser">
          <AvatarApp></AvatarApp>
        </div>
        <div class="pa-2" v-else>
          <v-icon icon="mdi-account-circle-outline" size="48"></v-icon>
        </div>
    </v-app-bar>
</template>



<!-- authStore.currentUser.fullName -->